Bug 6826 - When require-membership-of contains invalid groups, login for all users failed
When require-membership-of contains invalid groups, login for all users failed
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Winbind
unspecified
All Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 10306
  Show dependency treegraph
 
Reported: 2009-10-19 00:17 UTC by Bo Yang
Modified: 2013-12-05 10:27 UTC (History)
1 user (show)

See Also:


Attachments
patch for v3-3-test (2.01 KB, patch)
2009-10-19 00:19 UTC, Bo Yang
no flags Details
patch for v3-4-test (2.05 KB, patch)
2009-10-19 00:19 UTC, Bo Yang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bo Yang 2009-10-19 00:17:58 UTC
When require-membership-of contains invalid groups, all users cannot login. Even when the user is in one of the groups in the require-membership-of list...

We must ignore invalid groups, and let users in one of the valid groups login.
Comment 1 Bo Yang 2009-10-19 00:19:23 UTC
Created attachment 4864 [details]
patch for v3-3-test
Comment 2 Bo Yang 2009-10-19 00:19:59 UTC
Created attachment 4865 [details]
patch for v3-4-test
Comment 3 Jeremy Allison 2009-10-19 14:08:04 UTC
+1 from me. These look good patches for 3.3.10 and 3.4.3. Re-assigning to Karolin for inclusion.
Jeremy.
Comment 4 Karolin Seeger 2009-10-22 09:31:12 UTC
Pushed to v3-3-test and v3-4-test.
Closing out bug report.

Thanks!